Videos

How to add Z value to Arc in AutoCAD

Issue:

How to add Z values to end points of Arc in AutoCAD.

 

Solution:

Arc is a 2D object by definition which can’t have Z value.

 

Workaround 

Use LISP to create a 3D Arc. 

  1. Create a LISP file : Add below text in the text file, and change the extension to .lsp once saved. 
 
  • (defun c:3Darc (/ p1 p2 p3)
     (command “_ucs” “_w”)
     (setq p1 (getpoint “Arc point #1: “))
     (setq p2 (getpoint “Arc point #2: “))
     (setq p3 (getpoint “Arc point #3: “))
     (command “_ucs” “_3p” p1 p2 p3)
     (command “_arc” (trans p1 0 1)(trans p2 0 1)(trans p3 0 1))
     (command “_ucs” “_p”)
    )
    resp.:
    (defun c:3Dcircle (/ p1 p2 p3)
     (command “_ucs” “_w”)
     (setq p1 (getpoint “Circle point #1: “))
     (setq p2 (getpoint “Circle point #2: “))
     (setq p3 (getpoint “Circle point #3: “))
     (command “_ucs” “_3p” p1 p2 p3)
     (command “_circle” “_3p” (trans p1 0 1)(trans p2 0 1)(trans p3 0 1))
     (command “_ucs” “_p”)
    )
  1. Launch AutoCAD.
  2. Type APPLOAD  from command line to load LISP file.
  3. When it’s successfully loaded, convert the view to ‘Front view’ 
  4. Type 3DARC from the command line. 
  5. Draw 3 points in model space. 

Products:

AutoCAD;

Versions:

any_version;

Source: Autodesk

INTERESTING:   Civil 3D/AutoCAD Drafting Basics for Microstation Users Pt. 4 - Tracking
Back to top button

Adblock Detected

Please disable your ad blocker to be able to view the page content. For an independent site with free content, it's literally a matter of life and death to have ads. Thank you for your understanding! Thanks